[debian-edu-commits] [Debian Wiki] Update of "DebianEdu/Documentation/Stretch/HowTo/NetworkClients" by WolfgangSchweer

Debian Wiki wiki at debian.org
Thu Nov 23 10:16:23 UTC 2017


Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Debian Wiki" for change notification.

The "DebianEdu/Documentation/Stretch/HowTo/NetworkClients" page has been changed by WolfgangSchweer:
https://wiki.debian.org/DebianEdu/Documentation/Stretch/HowTo/NetworkClients?action=diff&rev1=27&rev2=28

Comment:
add xrdp sound modules information

  
  Some municipalities provide a remote desktop solution so that students and teachers can access Skolelinux from their home computer running Windows, Mac or Linux.
  
+ Xrdp comes without sound support; to compile the required modules this script could be used.
+ {{{
+  #!/bin/bash
+  # Script to compile / recompile xrdp PulseAudio modules.
+  # The caller needs to be root or a member of the sudo group.
+  # Also, /etc/apt/sources.list must contain a valid deb-src line.
+  set -e
+   if [[ $UID -ne 0 ]] ; then  
+      if ! groups | egrep -q sudo ; then
+          echo "ERROR: You need to be root or a sudo group member."
+          exit 1
+      fi
+  fi
+  if ! egrep -q  ^deb-src /etc/apt/sources.list ; then
+      echo "ERROR: Make sure /etc/apt/sources.list contains a deb-src line."
+      exit 1
+  fi
+  TMP=$(mktemp -d)
+  PULSE_UPSTREAM_VERSION="$(dpkg-query -W -f='${source:Upstream-Version}' pulseaudio)"
+  XRDP_UPSTREAM_VERSION="$(dpkg-query -W -f='${source:Upstream-Version}' xrdp)"
+  sudo apt -q update
+  # Get sources and build dependencies:
+  sudo apt -q install dpkg-dev
+  cd $TMP
+  apt -q source pulseaudio xrdp
+  sudo apt -q build-dep pulseaudio xrdp
+  # For pulseaudio 'configure' is all what is needed:
+  cd pulseaudio-$PULSE_UPSTREAM_VERSION/
+  ./configure
+  # Adjust pulseaudio modules Makefile (needs absolute path)
+  # and build the pulseaudio modules.
+  cd $TMP/xrdp-$XRDP_UPSTREAM_VERSION/sesman/chansrv/pulse/
+  sed -i 's/^PULSE/#PULSE/' Makefile
+  sed -i "/#PULSE_DIR/a \
+  PULSE_DIR = $TMP/pulseaudio-$PULSE_UPSTREAM_VERSION" Makefile
+  make
+  # Copy modules to Pulseaudio modules directory, adjust rights.
+  sudo cp *.so /usr/lib/pulse-$PULSE_UPSTREAM_VERSION/modules/
+  sudo chmod 644 /usr/lib/pulse-$PULSE_UPSTREAM_VERSION/modules/module-xrdp*
+  # Restart xrdp, now with sound enabled.
+  sudo service xrdp restart
+ }}}
+ 
  === Available Remote Desktop clients ===
  
   * {{{freerdp-x11}}} is installed by default and is capable of RDP and VNC.



More information about the debian-edu-commits mailing list